Name: protux
Version: 0.20.1
Release: alt0.6

Summary: PROTUX is the Professional Audio Tools for GNU/Linux
Summary(ru_RU.KOI8-R): ProTux --     
Group: Sound
License: GPL
Url: http://www.nongnu.org/%name

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://savannah.nongnu.org/download/%name/%name-%version.tar.gz
#Source1: %name-48x48.xpm
#Source2: %name-32x32.xpm
#Source3: %name-16x16.xpm

Requires: libmustux >= %version
BuildPreReq: libmustux-devel >= %version

# Automatically added by buildreq on Thu May 06 2004
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 libalsa-devel libmustux-devel libogg-devel libqt3-devel libstdc++-devel

%description
PROTUX - The PROfessional audio Tools for gnu/linUX.

%description -l ru_RU.KOI8-R
ProTux --      Linux,  
   JMB (Jog-Mouse-Board),     
   .

ProTux    "" --  
,  ,    
 .

%define qtdir %_libdir/qt3

%prep
%setup -q

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake -a -c -f
%__autoconf

export QTDIR=%qtdir
%configure
%make_build

%install
%makeinstall

# menu
%__cat <<__MENU__ >%name.menu
?package(%name): needs="X11" section="Multimedia/Sound" \
title="ProTux" longtitle="A Professional Audio Tool for GNU/Linux" \
command="%_bindir/%name" icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot/%_menudir/%name

# icons
#%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
#%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
#%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_datadir/%name
#%_iconsdir/*.xpm
#%_iconsdir/*/*/*.xpm
%_menudir/%name
%doc AUTHORS ChangeLog README 

%changelog
* Thu May 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.20.1-alt0.6
- fixed build.

* Thu Dec 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.20.1-alt0.5
- 0.20.1

* Thu Jul 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.18.0-alt0.5
- 0.18.0
- summary, description by avp

* Tue Apr 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.17.0-alt0.5
- 0.17.0

* Tue Mar 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.16.0-alt0.5
- First attempt to build for Sisyphus failed.


